#ifndef BUILDER_OP_
#define BUILDER_OP_

#include <iostream>
#include <memory>

namespace builder {
class Op {
 public:
  Op();
  class Impl;
  std::shared_ptr<Impl> GetImpl() const { return impl_; }

 private:
  std::shared_ptr<Impl> impl_;
};
}  // namespace builder

#endif